[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.RowSnap

Indicates if a band or row of bands snaps to the height for the control bar.

## Declaration

Source position: extctrls.pp line 1673

`public property TCustomControlBar.RowSnap : Boolean read FRowSnap write FRowSnap default True;`

## Description

RowSnap is a Boolean property which indicates if a band or row of bands snaps to the height for the control bar. The default value for the property is True. When set to False, each band on the control bar calculates its own height and allocates additional space for bevels.

Used in the CalcBandHeight method, and when a new value is assigned to the RowSize property.